# $Revision: 1.7 $, $Date: 2010/07/08 08:18:40 $
Summary:	Simple Python Interface to Bugs in Launchpad
Name:		python-launchpad-bugs
Version:	0.3.5
Release:	2
License:	GPL v2/LGPL
Group:		Development/Languages/Python
Source0:	ftp://ftp.ubuntu.com/ubuntu/pool/main/p/python-launchpad-bugs/%{name}_%{version}.tar.gz
# Source0-md5:	2751fafafe83031dc7ac5df999fed134
URL:		https://launchpad.net/python-launchpad-bugs
Patch0:		%{name}-rpm.patch
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Classes to access bug information in Launchpad.

%prep
%setup -q -n main
%patch0 -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS TODO
%doc docs/*
%dir %{py_sitescriptdir}/launchpadbugs
%{py_sitescriptdir}/launchpadbugs/*.py[co]
%{_examplesdir}/%{name}-%{version}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/python_launchpad_bugs-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-launchpad-bugs.spec,v $
Revision 1.7  2010/07/08 08:18:40  arekm
- release 2

Revision 1.6  2009/04/27 09:49:13  glen
- example sto %{_examplesdir}

Revision 1.5  2009/04/27 09:46:47  glen
- py2.4 compatible

Revision 1.4  2009/03/14 16:21:37  duddits
- up to 0.3.5
- rpm.patch updated
- %files

Revision 1.3  2008/10/12 10:45:41  patrys
- rel 1

Revision 1.2  2008-04-24 09:11:03  glen
- add rpm patch

Revision 1.1  2008-04-24 08:28:02  glen
- new
